Description

En la capa adjunta no es posible aplicar un etiquetado definido por el usuario (todas las entidades de la misma manera). He probado
con otras capas y sí que se puede. No obstante interesaría saber qué tiene de especial esta ya que está descargada del Catastro y
potencialmente pueden utilizarla muchos usuarios.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3849: No funciona correc... Closed 10/30/2015

History
#1 - 06/01/2015 05:11 PM - Antonio Falciano

Hi Manuel,
I've checked your layer and found that all its field names contain an underscore and they're not validated by the expression parser. For instance, if I
rename the "2_DENOMINA" field as "DENOMINA" (without underscore), a label expression with the new name is considered valid and the labels
appear. So the issue is caused by the underscore in the field names. Cheers.

#2 - 06/01/2015 05:12 PM - Álvaro Anguix

Exacto, es lo que comenta Antonio. Si pones la tabla en edición, abres el gestor de la tabla y renombras el campo, podrás etiquetar sin problemas.

#3 - 06/01/2015 05:14 PM - Álvaro Anguix
- Status changed from New to Won't fix

Me lo apunto para documentarlo en el manual.

#4 - 06/01/2015 05:20 PM - Antonio Falciano

Hi Alvaro,
in my humble opinion, this is a bug. It's sad to have to document time consuming workarounds in the manual. Why can't it be fixed?

#5 - 06/01/2015 05:22 PM - Álvaro Anguix
- Status changed from Won't fix to New

I agree. :-)

#6 - 06/01/2015 06:55 PM - Antonio Falciano

Álvaro Anguix wrote:

I agree. :-)

I've investigated further and discovered that SQLJEP supports well the field names that contain the underscore (see its examples of usage here), as in
vaious SQL dialects.
For exactness, the bug in object happens when the field name starts with a number or underscore. For instance:
    -  2_DENOMINA ...doesn't work
    -  _DENOMINA  ...doesn't work
    -  B_DENOMINA ...works

So the field names need to be escaped in order to work. I would suggest to use the square brackets (as it was in gvSIG 1.x) in order to avoid further
confusion with single or double quotes. Single quotes work fine with strings actually. Cheers.

#7 - 11/18/2015 01:58 PM - Álvaro Anguix
- Assignee set to José Badía

#8 - 11/18/2015 01:58 PM - Álvaro Anguix
- Related to gvSIG bugs #3849: No funciona correctamente el etiquetado definido por el usuario added

#9 - 04/13/2020 10:34 AM - Álvaro Anguix
- Status changed from New to Closed

Al incluir el nuevo motor de expresiones, funciona correctamente.

Files
ejes_catastro.zip 15.3 KB 06/01/2015 Manuel Madrid
http://sqljep.sourceforge.net/

